
/* This file contains a definition of the getlol() function in C.
   See the file GETLOL.ASM for a description of what this file does.  */

#include <dos.h>

unsigned char far *getlol()
{
  union REGS regs;
  struct SREGS segs;
  void far *p;

  regs.h.ah = 0x52;
  int86x(0x21,&regs,&regs,&segs);
  FP_SEG(p) = segs.es;
  FP_OFF(p) = regs.x.bx;
  return (p);
}

